Name:           ebook-tools
Summary:        Tools for accessing and converting various ebook file formats
Version:        0.2.2
Release:        %mkrel 6
Url:            http://sourceforge.net/projects/ebook-tools
License:        MIT
Group:          Publishing
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  kde4-macros
BuildRequires:  libxml2-devel
BuildRequires:  libzip-devel
Recommends:     clit

%description
Tools for accessing and converting various ebook file formats.

%files
%{_kde_bindir}/einfo
%{_kde_bindir}/lit2epub

#-----------------------------------------------------------------------------

%define libepub_major 0
%define libepub %mklibname epub %{libepub_major}

%package -n %{libepub}
Summary: KDE 4 library
Group: System/Libraries

%description -n %{libepub}
%{name} library.

%files -n %{libepub}
%{_kde_libdir}/libepub.so.%{libepub_major}*

#--------------------------------------------------------------------
%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires:  %{libepub} = %{version}-%{release}

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%{_kde_includedir}/*.h
%{_kde_libdir}/libepub.so

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Thu Nov 19 2015 daviddavid <daviddavid> 0.2.2-6.mga6
+ Revision: 904155
- rebuild for new libzip 1.0.1

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-5.mga5
+ Revision: 745656
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-4.mga5
+ Revision: 678915
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.2.2-3.mga4
+ Revision: 503966
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 349296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 15 2012 luigiwalser <luigiwalser> 0.2.2-1.mga3
+ Revision: 294246
- 0.2.2

* Mon Aug 15 2011 fwang <fwang> 0.2.1-1.mga2
+ Revision: 133431
- new version 0.2.1

* Wed Jan 19 2011 dmorgan <dmorgan> 0.1.1-5.mga1
+ Revision: 24935
- imported package ebook-tools


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-5mdv2011.0
+ Revision: 605093
- rebuild

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - suggest clit, ebook-tools uses it, but it's not in the official repos, so a
      suggests.

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-3mdv2010.1
+ Revision: 522569
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.1-2mdv2010.0
+ Revision: 424376
- rebuild

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.1.1-1mdv2009.1
+ Revision: 360533
- Updated to version 0.1.1
- Rediffed fix-lib patch.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 0.1.0-2mdv2009.0
+ Revision: 218529
- Is a kde4 app

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 06 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.0-1mdv2009.0
+ Revision: 202232
- Fix buildRequires
- Fix subpackage order
- Fix Requires
  Add Group
- import ebook-tools


